"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useAPI = useAPI;
const ui_foundation_ui_hooks_use_data_query_1 = require("@teambit/ui-foundation.ui.hooks.use-data-query");
const client_1 = require("@apollo/client");
const api_reference_models_api_reference_model_1 = require("@teambit/api-reference.models.api-reference-model");
const GET_SCHEMA = (0, client_1.gql) `
  query Schema($componentId: String!, $skipInternals: Boolean) {
    getHost {
      id # used for GQL caching
      getSchema(id: $componentId, skipInternals: $skipInternals)
    }
  }
`;
function useAPI(componentId, apiNodeRenderers = [], options) {
    var _a;
    // @ts-ignore - remove once graphql versions are aligned (see #8753)
    const { data, loading } = (0, ui_foundation_ui_hooks_use_data_query_1.useDataQuery)(GET_SCHEMA, {
        variables: {
            componentId,
            skipInternals: options === null || options === void 0 ? void 0 : options.skipInternals,
            skip: !componentId,
        },
    });
    const apiModel = ((_a = data === null || data === void 0 ? void 0 : data.getHost) === null || _a === void 0 ? void 0 : _a.getSchema) ? api_reference_models_api_reference_model_1.APIReferenceModel.from(data, apiNodeRenderers) : undefined;
    return {
        loading,
        apiModel,
    };
}
//# sourceMappingURL=use-api.js.map